Subject: [PATCH 3/5] ARM: davinci: da8xx: add cfgchip2 to resources

From: [email-masked] (David Lechner)
Date: Wed, 16 Mar 2016 13:27:36 -0500

On 03/16/2016 01:22 PM, Sergei Shtylyov wrote:
>
>     The set_mode() method doesn't have anything to do with the
> predefined roles. What CFGCHIP2 setting do is to override the ID input
> (and also the VBUS level comparator). This is not required for the
> normal functioning of either host or peripheral AFAIR.
>

OK, so it sounds like I should just remove set_mode from the musb driver 
completely and make this configurable in the phy driver via platform 
data or device tree.